APIs / Google Flights / One Way
Google Flights: One Way
One Way from Google Flights as JSON. 1 credit per successful call.
GET /v1/google-flights/one-way
Parameters
Send parameters in the query string.
| Parameter | Type | Required | Allowed values |
|---|---|---|---|
origin | string | Required | Up to 3 characters |
destination | string | Required | Up to 3 characters |
adults | integer | Optional | Any |
children | integer | Optional | Any |
infants_in_seat | integer | Optional | Any |
infants_on_lap | integer | Optional | Any |
cabin_class | string | Optional | economy, premium_economy, business, first |
exclude_basic | boolean | Optional | Any |
max_stops | string | Optional | any, nonstop, one_or_fewer, two_or_fewer |
hl | string | Optional | Any |
gl | string | Optional | Any |
currency | string | Optional | Up to 3 characters |
outbound_times | string | Optional | Any |
bags | integer | Optional | 0 |
departure_date | string | Required | Any |
sort_by | string | Optional | top_flights, cheapest, departure_time, arrival_time, duration, emissions |
airlines[] | list of string | Optional | Up to 2 characters |
include_baggage | boolean | Optional | Any |
departure_time_min | integer | Optional | Any |
departure_time_max | integer | Optional | Any |
arrival_time_min | integer | Optional | Any |
arrival_time_max | integer | Optional | Any |
max_duration_minutes | integer | Optional | Any |
max_price | integer | Optional | Any |
Example request
curl "https://api.perceptlayer.com/v1/google-flights/one-way?origin=JFK&destination=LAX&departure_date=2026-09-15" \
-H "X-API-Key: $API_KEY"